=========
Connector
=========

A connector describes the relative motions between two points. A connector also describes the behavior associated with the relative motion.


Create connectors
-----------------

.. autoclass:: abaqus.Connector.ConnectorSection.ConnectorSection
    :members:


Object features
---------------

CDCTerm
~~~~~~~

.. autoclass:: abaqus.Connector.CDCTerm.CDCTerm
    :members:

    .. autoclasstoc::

CDCTermArray
~~~~~~~~~~~~

.. autoclass:: abaqus.Connector.CDCTermArray.CDCTermArray
    :members:

    .. autoclasstoc::

ConnectorBehaviorOption
~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Connector.ConnectorBehaviorOption.ConnectorBehaviorOption
    :members:

    .. autoclasstoc::

ConnectorBehaviorOptionArray
~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Connector.ConnectorBehaviorOptionArray.ConnectorBehaviorOptionArray
    :members:

    .. autoclasstoc::

ConnectorDamage
~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Connector.ConnectorDamage.ConnectorDamage
    :members:

    .. autoclasstoc::

ConnectorDamping
~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Connector.ConnectorDamping.ConnectorDamping
    :members:

    .. autoclasstoc::

ConnectorElasticity
~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Connector.ConnectorElasticity.ConnectorElasticity
    :members:

    .. autoclasstoc::

ConnectorFailure
~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Connector.ConnectorFailure.ConnectorFailure
    :members:

    .. autoclasstoc::

ConnectorFriction
~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Connector.ConnectorFriction.ConnectorFriction
    :members:

    .. autoclasstoc::

ConnectorLock
~~~~~~~~~~~~~

.. autoclass:: abaqus.Connector.ConnectorLock.ConnectorLock
    :members:

    .. autoclasstoc::

ConnectorOptions
~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Connector.ConnectorOptions.ConnectorOptions
    :members:

    .. autoclasstoc::

ConnectorPlasticity
~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Connector.ConnectorPlasticity.ConnectorPlasticity
    :members:

    .. autoclasstoc::

ConnectorPotential
~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Connector.ConnectorPotential.ConnectorPotential
    :members:

    .. autoclasstoc::

ConnectorPotentialArray
~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Connector.ConnectorPotentialArray.ConnectorPotentialArray
    :members:

    .. autoclasstoc::

ConnectorStop
~~~~~~~~~~~~~

.. autoclass:: abaqus.Connector.ConnectorStop.ConnectorStop
    :members:

    .. autoclasstoc::

DerivedComponent
~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Connector.DerivedComponent.DerivedComponent
    :members:

    .. autoclasstoc::

TangentialBehavior
~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Connector.TangentialBehavior.TangentialBehavior
    :members:

    .. autoclasstoc::
